import { PackageTemplateContext } from '@cirrusct/mr-templates';
import { BuildSpecConfig } from '@cirrusct/mr-build';
import { DeployTemplateModel, MrDeployOptions, ResolvedDeploymentConfig } from './types';
export declare const getDashedName: (name: string) => string;
export declare class DeployTemplateContext extends PackageTemplateContext<DeployTemplateModel, BuildSpecConfig, MrDeployOptions> {
    private resolvedConfig;
    private _joinedStartCmds;
    private _envStatements;
    private _deployModel;
    private _currentServerContext;
    private _dependsOnServerContexts;
    constructor(resolvedConfig: ResolvedDeploymentConfig, dependsOnServerContexts?: DeployTemplateContext[]);
    private getResolvedConfig;
    private readonly startCmds;
    currentServerContext: DeployTemplateContext;
    readonly currentServerModel: DeployTemplateModel | null;
    readonly dependsOnServerModels: DeployTemplateModel[];
    dependsOnServerContexts: DeployTemplateContext[];
    private readonly locations;
    private readonly deploymentNameDashed;
    readonly model: DeployTemplateModel;
}
