import { MonoRepo, MonoRepoPackage, MrPackageConfig } from '@cirrusct/mr-core';
import { BuildSpecConfig, TypescriptTranspilerConfigOptions, BuildPathsConfig } from '@cirrusct/mr-build';
import { MrConfig, MrDeploymentConfig, ResolvedDeploymentConfig, MrDeployOptions } from './types';
export declare const getDeploymentConfigsMap: (monoRepo: MonoRepo<MrConfig>) => {
    [name: string]: MrDeploymentConfig;
};
export declare const findPackagenames: (mrPackage: MonoRepoPackage<MrPackageConfig>) => string[];
export declare const getPackagesWithDeployments: (monoRepo: MonoRepo<MrConfig>, filter?: MonoRepoPackage<MrPackageConfig>[]) => Promise<MonoRepoPackage<MrPackageConfig>[]>;
export declare const getDeploymentConfigs: (pattern: string, mr: MonoRepo<MrConfig>) => {
    [name: string]: MrDeploymentConfig;
};
export declare const matchnames: (pattern: string, mr: MonoRepo<MrConfig>) => string[];
export declare const getResolvedConfigs: (pattern: string, options: MrDeployOptions, mr: MonoRepo<MrConfig>, buildSpec?: BuildSpecConfig<BuildPathsConfig, TypescriptTranspilerConfigOptions>) => Promise<ResolvedDeploymentConfig[]>;
