"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generate_1 = require("./generate");
const showConfig_1 = require("./showConfig");
exports.deployCommandHandler = (args) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    const { options = {}, logger } = args;
    if (!(options.showConfig || options.generate)) {
        logger.warn(`Deploy: No Options.  Nothing to do.`);
    }
    if (options.showConfig) {
        yield showConfig_1.handleShowConfigCommand(args);
    }
    if (options.generate) {
        yield generate_1.handleGenerateCommand(args);
    }
});
//# sourceMappingURL=handler.js.map