









# Class: `AsyncParallelHook`



Base Types: [Hook](../Hook/README.md)\<T1, T2, T3, Any, Undefined\>




## Constructors

|Parameter | Type | Description | Optional|
|--- | --- | --- | ---|
|tapArgumentNames | Array\<String\> |  | ✔|


## Properties

|Property | Description | Type|
|--- | --- | ---|
|[interceptors](../Hook/.interceptors/README.md) |  | Array\<[HookInterceptor](../HookInterceptor/README.md)\>|
|[taps](../Hook/.taps/README.md) |  | Array\<Any\>|


## Methods

|Method | Parameters | Description | ReturnType|
|--- | --- | --- | ---|
|[call](../Hook/.call/README.md) | **`arg1`**: *(Optional)*  T1 <br>**`arg2`**: *(Optional)*  T2 <br>**`arg3`**: *(Optional)*  T3 <br>...**`args`**:  Array\<Any\>  |  | Undefined|
|[callAsync](../Hook/.callAsync/README.md) | **`arg1`**: *(Optional)*  T1 <br>**`arg2`**: *(Optional)*  T2 <br>**`arg3`**: *(Optional)*  T3 <br>...**`args`**:  Array\<Any\>  |  | Undefined|
|[intercept](../Hook/.intercept/README.md) | **`interceptor`**:  [HookInterceptor](../HookInterceptor/README.md)  |  | Void|
|[promise](../Hook/.promise/README.md) | **`arg1`**: *(Optional)*  T1 <br>**`arg2`**: *(Optional)*  T2 <br>**`arg3`**: *(Optional)*  T3 <br>...**`args`**:  Array\<Any\>  |  | [Promise](../../../../../typescript/2.8.4/Promise/README.md)\<Undefined\>|
|[tap](../Hook/.tap/README.md) | **`name`**:  String ǀ [Tap](../Tap/README.md) <br>**`fn`**:  ObjectLiteral  |  | Void|
|[tapAsync](../Hook/.tapAsync/README.md) | **`name`**:  String ǀ [Tap](../Tap/README.md) <br>**`fn`**:  ObjectLiteral  |  | Void|
|[tapPromise](../Hook/.tapPromise/README.md) | **`name`**:  String ǀ [Tap](../Tap/README.md) <br>**`fn`**:  ObjectLiteral  |  | Void|





