









# Class: `Hook`






## Constructors

|Parameter | Type | Description | Optional|
|--- | --- | --- | ---|
|tapArgumentNames | Array\<String\> |  | ✔|


## Properties

|Property | Description | Type|
|--- | --- | ---|
|[interceptors](.interceptors/README.md) |  | Array\<[HookInterceptor](../HookInterceptor/README.md)\>|
|[taps](.taps/README.md) |  | Array\<Any\>|


## Methods

|Method | Parameters | Description | ReturnType|
|--- | --- | --- | ---|
|[call](.call/README.md) | **`arg1`**: *(Optional)*  TArg1 <br>**`arg2`**: *(Optional)*  TArg2 <br>**`arg3`**: *(Optional)*  TArg3 <br>...**`args`**:  Array\<Any\>  |  | THookResult|
|[callAsync](.callAsync/README.md) | **`arg1`**: *(Optional)*  TArg1 <br>**`arg2`**: *(Optional)*  TArg2 <br>**`arg3`**: *(Optional)*  TArg3 <br>...**`args`**:  Array\<Any\>  |  | THookResult|
|[intercept](.intercept/README.md) | **`interceptor`**:  [HookInterceptor](../HookInterceptor/README.md)  |  | Void|
|[promise](.promise/README.md) | **`arg1`**: *(Optional)*  TArg1 <br>**`arg2`**: *(Optional)*  TArg2 <br>**`arg3`**: *(Optional)*  TArg3 <br>...**`args`**:  Array\<Any\>  |  | [Promise](../../../../../typescript/2.8.4/Promise/README.md)\<THookResult\>|
|[tap](.tap/README.md) | **`name`**:  String ǀ [Tap](../Tap/README.md) <br>**`fn`**:  ObjectLiteral  |  | Void|
|[tapAsync](.tapAsync/README.md) | **`name`**:  String ǀ [Tap](../Tap/README.md) <br>**`fn`**:  ObjectLiteral  |  | Void|
|[tapPromise](.tapPromise/README.md) | **`name`**:  String ǀ [Tap](../Tap/README.md) <br>**`fn`**:  ObjectLiteral  |  | Void|





