









# Interface: `RegExp`






## Properties

|Property | Description | Type | Optional|
|--- | --- | --- | ---|
|global | Returns a Boolean value indicating the state of the global flag (g) used with a regular expression. Default is false. Read-only.  | Boolean | |
|ignoreCase | Returns a Boolean value indicating the state of the ignoreCase flag (i) used with a regular expression. Default is false. Read-only.  | Boolean | |
|lastIndex |  | Number | |
|multiline | Returns a Boolean value indicating the state of the multiline flag (m) used with a regular expression. Default is false. Read-only.  | Boolean | |
|source | Returns a copy of the text of the regular expression pattern. Read-only. The regExp argument is a Regular expression object. It can be a variable name or a literal.  | String | |

## Methods

|Method | Parameters | Description | ReturnType | Optional|
|--- | --- | --- | --- | ---|
|compile |  |  | This | |
|exec | **`string`**:  String  - The String object or string literal on which to perform the search. | Executes a search on a string using a regular expression pattern, and returns an array containing the results of that search. | [RegExpExecArray](../RegExpExecArray/README.md) | |
|test | **`string`**:  String  - String on which to perform the search. | Returns a Boolean value that indicates whether or not a pattern exists in a searched string. | Boolean | |
