module.exports = {
    "collectCoverageFrom": [
        "src/**/*.{js,jsx,ts,tsx}"
    ],
    "moduleFileExtensions": [
        "ts",
        "tsx",
        "js",
        "jsx",
        "json"
    ],
    "testMatch": [
        "<rootDir>/src/**/__tests__/**/*.ts?(x)",
        "<rootDir>/src/**/?(*.)(spec|test).ts?(x)"
    ],
    "testEnvironment": "node",
    "testURL": "http://localhost",
    "transform": {
        "^.+\\.(ts|tsx)$": "ts-jest"
    },
    "transformIgnorePatterns": [
        "[/\\\\]node_modules[/\\\\].+\\.(js|jsx|ts|tsx)$"
    ],
    "globals": {
        "ts-jest": {
            "tsConfigFile": "tsconfig.json"
        }
    }
};
