export const envVarsToDockerCli = (envVars: { [name: string]: string }): string => {
    return Object.getOwnPropertyNames(envVars)
        .map(varName => {
            return `-e ${varName}="${envVars[varName]}"`;
        })
        .join(' ');
};
