"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deploy = {
    name: 'deploy',
    description: 'Deploy',
    transformOptions: options => {
        return Object.assign({}, options, { dotEnvPath: options.env });
    },
    options: [
        {
            name: 'generate',
            flag: 'g',
            valueType: 'boolean',
            description: 'Generate Deploy files',
        },
        {
            name: 'showConfig',
            flag: 'c',
            valueType: 'boolean',
            description: 'Show resolved config',
        },
        {
            name: 'output',
            flag: 'o',
            valueType: 'string',
            description: 'Output File Name (for generator)',
        },
        {
            name: 'env',
            flag: 'e',
            valueType: 'string',
            description: 'File containing Environment variables (.env syntax)',
        },
        {
            name: 'deployment',
            valueType: 'string',
            description: 'Name or Pattern for Deployment to operate on',
        },
    ],
};
//# sourceMappingURL=cli.js.map