import { Logger } from '@cirrusct/logging';
import { MonoRepoPackage, MrPackageConfig } from '@cirrusct/mr-core';
import { MrCommandHandler } from '@cirrusct/mr-command';
import { MrDeployOptions, ResolvedDeploymentConfig } from './types';
export declare const handleGenerateCommand: MrCommandHandler<MrDeployOptions>;
export declare const generatePackageDeployment: (mrPackage: MonoRepoPackage<MrPackageConfig>, options: MrDeployOptions, logger: Logger, name?: string) => Promise<void>;
export declare const generate: (resolvedConfig: ResolvedDeploymentConfig | ResolvedDeploymentConfig[], logger: Logger) => Promise<void>;
