









# Class: `DeploymentConfigResolver`

Package: [@cirrusct/mr-commands-deploy](../../../../README.md)






## Constructors

|Parameter | Type | Description | Optional|
|--- | --- | --- | ---|
|mrPackage | [MonoRepoPackage](../../../../../../mr-core/1.0.69/dist/monorepo/MonoRepoPackage.d.ts/MonoRepoPackage/README.md)\<[MrPackageConfig](../../../../../../mr-core/1.0.69/dist/monorepo/types.d.ts/MrPackageConfig/README.md)\> |  | |
|deployConfig | [MrDeployConfig](../../types/MrConfig.ts/MrDeployConfig/README.md) |  | |
|buildSpec | [BuildSpecConfig](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/BuildSpecConfig/README.md)\<[BuildPathsConfig](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/BuildPathsConfig/README.md), [TypescriptTranspilerConfigOptions](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/TypescriptTranspilerConfigOptions/README.md)\> |  | ✔|
|options | [MrDeployOptions](../../types/command.ts/MrDeployOptions/README.md) |  | |
|name | String |  | ✔|
|deploymentConfig | [MrDeploymentConfig](../../types/MrConfig.ts/MrDeploymentConfig/README.md) |  | ✔|
|profileSettingsBaseName | String |  | |


## Properties

|Property | Description | Type|
|--- | --- | ---|
|[buildSpec](__constructor/buildSpec/README.md) |  | [BuildSpecConfig](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/BuildSpecConfig/README.md)\<[BuildPathsConfig](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/BuildPathsConfig/README.md), [TypescriptTranspilerConfigOptions](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/TypescriptTranspilerConfigOptions/README.md)\>|
|[deployConfig](__constructor/deployConfig/README.md) |  | [MrDeployConfig](../../types/MrConfig.ts/MrDeployConfig/README.md)|
|[deploymentConfig](__constructor/deploymentConfig/README.md) |  | [MrDeploymentConfig](../../types/MrConfig.ts/MrDeploymentConfig/README.md)|
|[mrPackage](__constructor/mrPackage/README.md) |  | [MonoRepoPackage](../../../../../../mr-core/1.0.69/dist/monorepo/MonoRepoPackage.d.ts/MonoRepoPackage/README.md)\<[MrPackageConfig](../../../../../../mr-core/1.0.69/dist/monorepo/types.d.ts/MrPackageConfig/README.md)\>|
|[name](__constructor/name/README.md) |  | String|
|[options](__constructor/options/README.md) |  | [MrDeployOptions](../../types/command.ts/MrDeployOptions/README.md)|


## Methods

|Method | Parameters | Description | ReturnType|
|--- | --- | --- | ---|
|[resolve](.resolve/README.md) |  |  | [Promise](../../../../../../../typescript/2.8.4/Promise/README.md)\<Array\<[ResolvedDeploymentConfig](../../types/command.ts/ResolvedDeploymentConfig/README.md)\>\>|
|[resolveDeploymentConfig](.resolveDeploymentConfig/README.md) | **`name`**:  String <br>**`rawConfig`**: *(Optional)*  [MrDeploymentConfig](../../types/MrConfig.ts/MrDeploymentConfig/README.md)  |  | [Promise](../../../../../../../typescript/2.8.4/Promise/README.md)\<[ResolvedDeploymentConfig](../../types/command.ts/ResolvedDeploymentConfig/README.md)\>|





