









# Class: `DeployTemplateContext`

Package: [@cirrusct/mr-commands-deploy](../../../../README.md)



Base Types: [PackageTemplateContext](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/README.md)\<[DeployTemplateModel](../../types/command.ts/DeployTemplateModel/README.md), [BuildSpecConfig](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/BuildSpecConfig/README.md)\<[BuildPathsConfig](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/BuildPathsConfig/README.md), [TypescriptTranspilerConfigOptions](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/TypescriptTranspilerConfigOptions/README.md)\>, [MrDeployOptions](../../types/command.ts/MrDeployOptions/README.md)\>




## Constructors

|Parameter | Type | Description | Optional|
|--- | --- | --- | ---|
|resolvedConfig | [ResolvedDeploymentConfig](../../types/command.ts/ResolvedDeploymentConfig/README.md) |  | |
|dependsOnServerContexts | Array\<[DeployTemplateContext](README.md)\> |  | ✔|


## Properties

|Property | Description | Type|
|--- | --- | ---|
|[buildSpec](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.buildSpec/README.md) |  | [BuildSpecConfig](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/BuildSpecConfig/README.md)\<[BuildPathsConfig](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/BuildPathsConfig/README.md), [TypescriptTranspilerConfigOptions](../../../../../../mr-build/1.0.69/dist/buildConfig/types.d.ts/TypescriptTranspilerConfigOptions/README.md)\>|
|[compileOptions](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/.compileOptions/README.md) |  | [TemplateOptions](../../../../../../core-node/1.0.16/dist/lib/templates.d.ts/TemplateOptions/README.md)|
|[currentlyRenderingTemplateFile](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/.currentlyRenderingTemplateFile/README.md) |  | [TemplateFile](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateFile.d.ts/TemplateFile/README.md)\<[TemplateContext](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/README.md)\<ObjectLiteral, [TemplateContextOptions](../../../../../../templates/1.0.39-tmp-mr/dist/types.d.ts/TemplateContextOptions/README.md)\>\>|
|[currentServerContext](currentServerContext/README.md) |  | [DeployTemplateContext](README.md)|
|[currentServerModel](currentServerModel/README.md) |  | [DeployTemplateModel](../../types/command.ts/DeployTemplateModel/README.md)|
|[dependsOnServerContexts](dependsOnServerContexts/README.md) |  | Array\<[DeployTemplateContext](README.md)\>|
|[dependsOnServerModels](dependsOnServerModels/README.md) |  | Array\<[DeployTemplateModel](../../types/command.ts/DeployTemplateModel/README.md)\>|
|[entryRootRelativePath](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.entryRootRelativePath/README.md) |  | String|
|[env](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.env/README.md) |  | ObjectLiteral|
|[model](model/README.md) |  | [DeployTemplateModel](../../types/command.ts/DeployTemplateModel/README.md)|
|[mrPackage](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.mrPackage/README.md) |  | [MonoRepoPackage](../../../../../../mr-core/1.0.69/dist/monorepo/MonoRepoPackage.d.ts/MonoRepoPackage/README.md)\<[MrPackageConfig](../../../../../../mr-core/1.0.69/dist/monorepo/types.d.ts/MrPackageConfig/README.md)\>|
|[mrRootPath](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.mrRootPath/README.md) |  | String|
|[options](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.options/README.md) |  | [MrDeployOptions](../../types/command.ts/MrDeployOptions/README.md)|
|[output](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/.output/README.md) |  | String|
|[outputRootRelativePath](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.outputRootRelativePath/README.md) |  | String|
|[packageDirs](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.packageDirs/README.md) |  | Array\<String\>|
|[rootFromOutputRelativePath](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.rootFromOutputRelativePath/README.md) |  | String|
|[settingsAbsolutePath](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.settingsAbsolutePath/README.md) |  | String|
|[settingsPackageRelativePath](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.settingsPackageRelativePath/README.md) |  | String|
|[settingsRootRelativePath](../../../../../../mr-templates/1.0.69/dist/PackageTemplateContext.d.ts/PackageTemplateContext/.settingsRootRelativePath/README.md) |  | String|
|[templateFiles](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/.templateFiles/README.md) |  | Array\<[TemplateFile](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateFile.d.ts/TemplateFile/README.md)\<[TemplateContext](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/README.md)\<ObjectLiteral, [TemplateContextOptions](../../../../../../templates/1.0.39-tmp-mr/dist/types.d.ts/TemplateContextOptions/README.md)\>\>\>|


## Methods

|Method | Parameters | Description | ReturnType|
|--- | --- | --- | ---|
|[getTemplateFile](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/.getTemplateFile/README.md) | **`path`**:  String  |  | [TemplateFile](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateFile.d.ts/TemplateFile/README.md)\<[TemplateContext](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/README.md)\<ObjectLiteral, [TemplateContextOptions](../../../../../../templates/1.0.39-tmp-mr/dist/types.d.ts/TemplateContextOptions/README.md)\>\>|
|[mergeModel](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/.mergeModel/README.md) | **`model`**:  ObjectLiteral  |  | Void|
|[render](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/.render/README.md) | **`beforeRenderFile`**: *(Optional)*  ObjectLiteral <br>**`afterRenderFile`**: *(Optional)*  ObjectLiteral  |  | Void|
|[resolveTemplateContent](../../../../../../templates/1.0.39-tmp-mr/dist/TemplateContext.d.ts/TemplateContext/.resolveTemplateContent/README.md) | **`content`**:  String  |  | String|





