export * from './handler';
export * from './types';
export * from './config';

import { deployCommandHandler } from './handler';
import { MrPackageCommandHandler, MrCommandManifest } from '@cirrusct/mr-command';
import { deploy as deployCliDefinition } from './cli';

export const manifest: MrCommandManifest = {
    mrCommands: {
        deploy: {
            cli: deployCliDefinition,
            handler: deployCommandHandler,
        },
    },
};
