export * from './handler';
export * from './types';

import { commandHandler } from './handler';
import { MrPackageCommandHandler, MrCommandManifest } from '@cirrusct/mr-command';

import { docker as dockerCliDefinition } from './cli';

export const manifest: MrCommandManifest = {
    mrCommands: {
        deploy: {
            cli: dockerCliDefinition,
            handler: commandHandler,
        },
    },
};
